Last modified: 2009-10-28 19:06:06 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 18053 - Special:RequestAccount form post results in BadTitle page (ConfirmAccount Extension)
Special:RequestAccount form post results in BadTitle page (ConfirmAccount Ext...
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
ConfirmAccount (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-19 17:33 UTC by Sémaphore
Modified: 2009-10-28 19:06 UTC (History)
1 user (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Sémaphore 2009-03-19 17:33:30 UTC
With the ConfirmAccount extension installed on the server, after posting a Special:RequestAccount form, users get a BadTitle page, making them unable to actually request an account.

The bug occurs with french localized MediaWiki ($wgLanguageCode = "fr") but not in english ($wgLanguageCode = "fr").
I further figured out that it occurs only when the localized name for the special namespace has special characters, for instance:
- "Spécial" with $wgLanguageCode = "fr"
- "Служебная" with $wgLanguageCode = "ru"
It works with $wgLanguageCode = "de" ("Spezial") and of course with $wgLanguageCode = "de".

As a workaround I have set the french name of the special namespace to "Special" instead of "Spécial" ($namespaceName[NS_SPECIAL] = 'Special') in MessagesFr.php
Comment 1 Sémaphore 2009-03-19 18:04:39 UTC
Update: posting the form from the "Special:ConfirmAccounts/Invité" page, does result in a badtitle also.
Renaming the account type from "Invité" to "Invite" (setting $wgAccountRequestTypes accordingly in LocalSettings.php) does the trick: the bureaucrat is able to post the form from "Special:ConfirmAccounts/Invite" without any trouble.
Comment 2 Aaron Schulz 2009-03-20 19:58:41 UTC
Is this working after r48640
Comment 3 Aaron Schulz 2009-03-20 19:59:37 UTC
(In reply to comment #2)
> Is this working after r48640
> 

Didn't mean to close yet. Does this work OK?
Comment 4 Sémaphore 2009-03-23 20:46:32 UTC
Thanks, posting the  Special:RequestAccount form works now.
But posting the Special:ConfirmAccount/group&acrid=n form doesn't. Same symptom: badtitle page.
Comment 5 Aaron Schulz 2009-03-23 21:13:02 UTC
(In reply to comment #4)
> Thanks, posting the  Special:RequestAccount form works now.
> But posting the Special:ConfirmAccount/group&acrid=n form doesn't. Same
> symptom: badtitle page.
> 

OK, try r48719 (typo fix)
Comment 6 Sémaphore 2009-03-24 20:23:23 UTC
Doesn't work neither with r48719.
One of my buggy URL is "w/index.php5?title=Sp%C3%A9cial:ConfirmerCompte/Invit%C3%A9&acrid=8", where "%C3%A9" is the percent encoding for "é".
Comment 7 Aaron Schulz 2009-03-25 00:03:00 UTC
More related tweaks in r48772
Comment 8 Sémaphore 2009-03-26 16:22:14 UTC
(In reply to comment #7)
> More related tweaks in r48772
That's the good one.
Thank you for your precious involvement in fixing that bug.
I am changing resolution to FIXED.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links